Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_split Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART and WIMLIB_PROGRESS_MSG_SPLIT_END_PART. More...

`#include <wimlib.h>`

## Data Fields

uint64_t | total_bytes
| Total size of the original WIM's file and metadata resources (compressed).
uint64_t | completed_bytes
| Number of bytes of file and metadata resources that have been copied out of the original WIM so far.
unsigned | cur_part_number
| Number of the split WIM part that is about to be started (WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART) or has just been finished (WIMLIB_PROGRESS_MSG_SPLIT_END_PART).
unsigned | total_parts
| Total number of split WIM parts that are being written.
wimlib_tchar * | part_name
| Name of the split WIM part that is about to be started (WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART) or has just been finished (WIMLIB_PROGRESS_MSG_SPLIT_END_PART).

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART and WIMLIB_PROGRESS_MSG_SPLIT_END_PART.

## Field Documentation

## total_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_split::total_bytes

Total size of the original WIM's file and metadata resources (compressed).

## completed_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_split::completed_bytes

Number of bytes of file and metadata resources that have been copied out of the original WIM so far.

Will be 0 initially, and equal to `total_bytes` at the end.

## cur_part_number

unsigned wimlib_progress_info::wimlib_progress_info_split::cur_part_number

Number of the split WIM part that is about to be started (WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART) or has just been finished (WIMLIB_PROGRESS_MSG_SPLIT_END_PART).

## total_parts

unsigned wimlib_progress_info::wimlib_progress_info_split::total_parts

Total number of split WIM parts that are being written.

## part_name

wimlib_tchar* wimlib_progress_info::wimlib_progress_info_split::part_name

Name of the split WIM part that is about to be started (WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART) or has just been finished (WIMLIB_PROGRESS_MSG_SPLIT_END_PART).

Since wimlib v1.7.0, the library user may change this when receiving WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART in order to cause the next split WIM part to be written to a different location.

The documentation for this struct was generated from the following file:

- wimlib.h